{% extends 'hkm/base.html' %}
{% load hkm_tags %}
{% load i18n %}

{% block body_class %}viewer-view{% endblock %}
{% block nav_class %}nav_viewer{% endblock %}

{% block main_content %}

  {% block viewer_arrows %}{% endblock %}

  {% block content %}{% endblock %}

  <div class="hidden">
    {% block hidden %}
    {% endblock %}
  </div>

  {% block actions %}
    {% if record and not user.profile.is_museum %}
      <div class="actions">
        <button aria-label="{% trans 'Zoom in' %}" class="actions__btn actions__btn--left" id="zoom-in-btn">
          <i class="actions__icon">
            <svg class="svg-icon">
              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-zoom-in"></use>
            </svg>
          </i>
        </button>
        <button aria-label="{% trans 'Zoom out' %}" class="actions__btn actions__btn--left" id="zoom-out-btn">
          <i class="actions__icon">
            <svg class="svg-icon">
              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-zoom-out"></use>
            </svg>
          </i>
        </button>
        {% if user.is_authenticated %}
          {% if collection_record %}
            <button class="actions__btn actions__btn--right nav__fav {% if is_favorite %}active{% endif %}" data-toggle="tooltip" data-placement="top" tooltip-title="{% if is_favorite %}{% trans 'Remove from favorites' %}{% else %}{% trans 'Add to favorites' %}{% endif %}" data-record-id="{{ hkm_id }}" id="popover-favorite" >
          {% else %}
            <button class="actions__btn actions__btn--right nav__fav {% if record.is_favorite %}active{% endif %}" data-toggle="tooltip" data-placement="top" tooltip-title="{% if record.is_favorite %}{% trans 'Remove from favorites' %}{% else %}{% trans 'Add to favorites' %}{% endif %}" data-record-id="{{ hkm_id }}" id="popover-favorite" >
          {% endif %}
              <i class="actions__icon">
                <svg class="svg-icon nav__fav--heart">
                  <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-heart-stroke"></use>
                </svg>
              </i>
            </button>
          <button class="actions__btn actions__btn--right" id="actions-add" tooltip-title="{% trans 'Add to collection' %}" data-img-url="{{ record_web_url }}" data-toggle="modal" data-target="#collection-add">
            <i class="actions__icon">
              <svg class="svg-icon">
                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-plus"></use>
              </svg>
            </i>
          </button>
        {% endif %}
        <button class="actions__btn actions__btn--right" id="actions-info" data-toggle="tooltip" data-placement="top" tooltip-title="{% trans 'Show details' %}">
          <i class="actions__icon">
            <svg class="svg-icon">
              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-info"></use>
            </svg>
          </i>
        </button>
        <button class="has-popover actions__btn actions__btn--right" id="popover-cart" data-toggle="tooltip" data-placement="top" tooltip-title="{% trans 'Download picture' %}">
          <i class="actions__icon">
            <svg class="svg-icon">
              <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-download"></use>
            </svg>
          </i>
        </button>
        {% if record and record.full_res_url or collection_record and collection_record.get_full_res_image_absolute_url %}
          <form method="POST">
            {% csrf_token %}
            <input type="hidden" name="action" value="order" />
            <button name="orderbutton" formaction="{% url 'hkm_order_create' finna_id=record.id %}" class="actions__btn actions__btn--right" data-toggle="tooltip" data-placement="top" tooltip-title="{% trans 'Buy this as a poster' %}">
              <i class="actions__icon">
                <svg class="svg-icon">
                  <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-shopping"></use>
                </svg>
              </i>
            </button>
          </form>
        {% endif %}
      </div>
        {% elif record.id %}
        <form method="post" action="{% url 'hkm_order_create' finna_id=record.id %}">
          {% csrf_token %}
          <input type="hidden" name="action" value="order">
          <button name="orderbutton" class="actions__btn actions__btn pull-left" type="submit">
            <i class="actions__icon">
              <svg class="svg-icon">
                <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#icon-shopping"></use>
              </svg>
            </i>
          </button>
        </form>

    {% endif %}
  {% endblock %}
  {% block detail %}
  <div id="detail-section" class="container-fluid">

    {% if record %}

      <div class="row">
        <div class="col-md-offset-2 col-md-8">
        <h1 class="record-meta__title">{{ record.title }}</h1>
        </div>
      </div><!-- endrow-->
        {% with data=record|record_detail %}
        <div class="row">
        <div class="col-md-offset-2 col-md-4 col-sm-6">
          <p class="record-meta__paragraph">{{ record.imageRights.copyright }}</p>
          <p class="record-meta__paragraph">{% trans 'Photographer:' %} {{ data.photographer }}</p>
          <p class="record-meta__paragraph">{% trans 'Image pick-up year:' %} {{ record.rawData.era.0|default:"" }}</p>
          <p class="record-meta__paragraph">{% trans 'Address:' %} {{ record.rawData.geographic.0|default:"" }}</p>
        </div>

        <div class="col-md-4 col-sm-6">
          <p class="record-meta__paragraph record-meta__license">{{ record.imageRights.description.0 }}</p>
          <p class="record-meta__paragraph">{% trans 'Image type:' %} {{ data.image_types }}</p>
          {% if record.rawData.identifier %}
          <p class="record-meta__paragraph">{% trans 'Image ID:' %} {{ record.rawData.identifier.0 }}</p>
          {% else %}
          <p class="record-meta__paragraph">{% trans 'Image ID:' %} {{ record.id }}</p>
          {% endif %}
          <p class="record-meta__paragraph">{% trans 'Measurements:' %} {{ data.measures}}</p>
        </div>

        <div class="col-md-offset-2 col-md-7 col-sm-6">
          <p class="record-meta__description">{{ record.rawData.description }}</p>
        </div>
        </div><!-- endrow -->
        {% endwith %}
        {% if related_collections %}
        <div class="row">
          <div class="col-md-offset-2 col-md-8">
          <h2 class="record-meta__sub-header">{% trans 'Related collections' %}</h2>
          <div class="grid flex-images">
            <div class="grid__group item-slider invisible" data-grid-type="collection">
              {% for collection in related_collections %}
                <div class="grid__item item" data-w="550" data-h="400">
                  <a href="{% url 'hkm_collection' collection_id=collection.id %}">
                    {% with images=collection|display_images %}
                      {% if images|length == 1 %}
                        <div class="grid__item grid__item--collection" style="background-image:url('{{ images.0 }}')"></div>
                      {% else %}
                        <div class="sub-grid">
                          {% for image_url in images %}
                            <div class="sub-grid__item" style="background-image:url('{{ image_url }}')"></div>
                          {% endfor %}
                        </div>
                      {% endif %}
                    {% endwith %}
                    <div class="grid__meta">
                      <span class="grid__meta--title">{{ collection.title }}</span>
                      <span class="grid__meta--other">{% if collection.description %}{{ collection.description }}{% else %}{% trans 'No description' %}{% endif %}</span>
                    </div>
                  </a>
                </div>
              {% endfor %}
            </div>
            </div>
          </div>
          </div> <!-- endrow -->
        {% endif %}
        {% if not user.profile.is_museum %}
        <div class="row">
          <div class="col-md-offset-2 col-md-8">
            <form method="POST" id="feedback-form">
              <h2 class="record-meta__feedback">{% trans 'Image feedback' %}</h2>
              {% csrf_token %}
              {% include 'hkm/snippets/form_fields.html' with form=feedback_form %}
              <input type="hidden" name="action" value="feedback" />
              <input type="hidden" name="hkm_id" value="{{ hkm_id }}" />
              <p class="feedback-message success hidden" id="fb-success">{% trans 'Feedback success' %}</p>
              <p class="feedback-message error hidden" id="fb-error">{% trans 'Feedback error' %}</p>
              <button type="submit" class="btn btn-primary">{% trans 'Submit' %}</button>
            </form>
          </div>
        </div>
        {% endif %}
      </div>
      </div>
      </div>
    {% else %}

      {% include 'hkm/snippets/not_responding.html' %}

    {% endif %}

  </div>
  {% endblock %}

  {% block modals %}

    <div class="my-modal my-modal--crop modal fade" id="crop-and-order" tabindex="-1" role="dialog">
      <div class="my-modal__dialog my-modal__dialog--crop-lg modal-dialog modal-lg" role="document">
        <div class="my-modal__content modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">{% trans 'Crop and order' %}</h4>
          </div>
          <div class="my-modal__body modal-body row">
            <div class="col-md-4">
              <div class="image-templates docs-toggles" data-toggle="buttons">
                <button class="image-templates__template btn btn-primary">
                  <input type="radio" class="sr-only" id="aspectRatio3" name="aspectRatio" value="0.6666666666666666">
                  <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 2 / 3">
                    A4 (2:3)
                  </span>
                </button>
                <button class="image-templates__template btn btn-primary">
                  <input type="radio" class="sr-only" id="aspectRatio3" name="aspectRatio" value="1.5">
                  <span class="docs-tooltip" data-toggle="tooltip" title="aspectRatio: 3 / 2">
                    A4 (3:2)
                  </span>
                </button>
              </div>
            </div>
            <div class="col-md-8">
              <div class="crop__container">
                <img class="crop__image"></img>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button class="hkm-btn hkm-btn--cancel btn btn-default" type="button" data-dismiss="modal">{% trans 'Close' %}</button>
            <button class="hkm-btn hkm-btn--default crop__submit btn btn-primary" id="submit-crop" type="button" value="order">{% trans 'Submit' %}</button>
          </div>
        </div>
      </div>
    </div>

    <div class="my-modal my-modal--crop modal fade" id="crop-and-download" tabindex="-1" role="dialog">
      <div class="my-modal__dialog my-modal__dialog--crop-lg modal-dialog modal-lg" role="document">
        <div class="my-modal__content modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">{% trans 'Crop and download' %}</h4>
          </div>
          <div class="my-modal__body modal-body row">
            <div class="col-md-12">
              <div class="crop__container">
                <img class="crop__image"></img>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button class="hkm-btn hkm-btn--cancel btn btn-default" type="button" data-dismiss="modal">{% trans 'Close' %}</button>
            <button class="hkm-btn hkm-btn--default crop__submit btn btn-primary" id="submit-crop" type="button" value="download">{% trans 'Download' %}</button>
          </div>
        </div>
      </div>
    </div>

    <div class="my-modal modal fade" id="collection-add" tabindex="-1" role="dialog">
      <div class="my-modal__dialog my-modal__dialog--crop-lg modal-dialog modal-lg" role="document">
        <div class="my-modal__content modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">{% trans 'Add to collection' %}</h4>
          </div>
          <div class="my-modal__body modal-body row">
            <div class="col-md-4">
              <div class="crop-settings crop-settings--select-collection">
                <h5 class="crop-settings__title">{% trans 'Add to an existing collection' %}</h5>
                {% for collection in my_collections %}
                  <div class="crop-settings__existing-collection radio radio-info">
                    <input type="radio" name="collection" data-action="add" value="{{ collection.id }}">
                    <label>{{ collection }}</label>
                  </div>
                {% endfor %}
                <h5 class="crop-settings__title">{% trans 'Create a new collection' %}</h5>
                <div class="crop-settings__collection input-group">
                  <span class="input-group-addon">
                    <input type="radio" checked="checked" name="collection" data-action="add-create-collection">
                  </span>
                  <input type="text" class="form-control" id="add-collection-input" placeholder="{% trans 'New collection' %}">
                </div>
              </div>
            </div>
            <div class="col-md-8">
              <div class="modal-image__container">
                <img class="modal__image" src="{{ record_web_url }}"></img>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button class="hkm-btn hkm-btn--cancel btn btn-default" type="button" data-dismiss="modal">{% trans 'Close' %}</button>
            <button class="hkm-btn hkm-btn--default btn btn-primary" type="button" id="add-to-collection" value="add" data-record-id="{{ hkm_id }}">{% trans 'Add to collection' %}</button>
          </div>
        </div>
      </div>
    </div>

  {% endblock %}

{% endblock %}
